Re: scripts/build check failing

2018-04-23 Thread Waldek Kozaczuk
I will try to come up with something reasonable.

On Monday, April 23, 2018 at 12:40:01 PM UTC-4, Nadav Har'El wrote:
>
>
> On Mon, Apr 23, 2018 at 7:36 PM, Nadav Har'El  > wrote:
>
>>
>> On Thu, Apr 5, 2018 at 12:40 AM, Waldek Kozaczuk > > wrote:
>>
>>> Which version of Java is being used by build process? I have a feeling 
>>> it is higher than java 8.
>>>
>>
>> If require Java 7 or 8 for the build, I wonder if we shouldn't make an 
>> effort to find the appropriate
>> executable on the system - or maybe just giving the "-source 8" (or 7) 
>> option to the default one would be
>> enough. Or, if for some reason we can't do that, maybe just check it and 
>> warn about this problem
>> instead of letting the user deal with crypting compilation errors?
>>
>
> Oh, and another possibility on how  to fix this: Maybe we can just say 
> that the test image requires
> the "java-non-isolated". Would this be enough to fix the compilation 
> errors on Java 9?
>
>
>>
>>>
>>> On Wednesday, April 4, 2018 at 3:57:11 PM UTC-4, Geraldo Netto wrote:

 Dear Friends, 

 While, applying the changes for the crypt functions, I noticed the 
 runjava-isolated module is failing to build 
 I have tried it with a clean git clone and the issue persists 

 Could you try? 
 Just to make sure, I'm not missing some detail (I use linux mint 18.3) 

 netto@besta01 ~/Desktop/osv/osv-clean $ scripts/build check 
 Building into build/release.x64 
   GEN gen/include/osv/version.h 
 No such image configuration: tests. Assuming list of modules. 
 Importing /home/netto/Desktop/osv/osv-clean/modules/tests/module.py 
 Importing 
 /home/netto/Desktop/osv/osv-clean/modules/java-tests/module.py 
 Importing /home/netto/Desktop/osv/osv-clean/modules/java/module.py 
 Importing 
 /home/netto/Desktop/osv/osv-clean/modules/java-isolated/module.py 
 Importing /home/netto/Desktop/osv/osv-clean/modules/java-base/module.py 
 Importing /home/netto/Desktop/osv/osv-clean/apps/fonts/module.py 
 No module.py in 
 /home/netto/Desktop/osv/osv-clean/modules/ca-certificates 
 No module.py in /home/netto/Desktop/osv/osv-clean/modules/libz 
 Importing /home/netto/Desktop/osv/osv-clean/modules/openjdk7/module.py 
 Modules: 
   fonts 
   ca-certificates 
   libz 
   java-base 
   java-isolated 
   openjdk7 
   java 
   java-tests 
   tests.* 
 mkdir -p build/etc/pki/ca-trust/extracted/openssl 
 mkdir -p build/etc/pki/ca-trust/extracted/pem 
 mkdir -p build/etc/pki/ca-trust/extracted/java 
 p11-kit extract --format=openssl-bundle --filter=certificates 
 --overwrite 
 build/etc/pki/ca-trust/extracted/openssl/ca-bundle.trust.crt 
 p11-kit extract --format=pem-bundle --filter=ca-anchors --overwrite 
 --purpose server-auth 
 build/etc/pki/ca-trust/extracted/pem/tls-ca-bundle.pem 
 p11-kit extract --format=pem-bundle --filter=ca-anchors --overwrite 
 --purpose email 
 build/etc/pki/ca-trust/extracted/pem/email-ca-bundle.pem 
 p11-kit extract --format=pem-bundle --filter=ca-anchors --overwrite 
 --purpose code-signing 
 build/etc/pki/ca-trust/extracted/pem/objsign-ca-bundle.pem 
 p11-kit extract --format=java-cacerts --filter=ca-anchors --overwrite 
 --purpose server-auth build/etc/pki/ca-trust/extracted/java/cacerts 
   MKDIRS 
   MKDIRS 
 cd /home/netto/Desktop/osv/osv-clean/modules/java-base && mvn 
 --projects :runjava-common,:runjava-isolated  package -DskipTests=true 
 WARNING: An illegal reflective access operation has occurred 
 WARNING: Illegal reflective access by 
 com.google.inject.internal.cglib.core.$ReflectUtils$1 
 (file:/usr/share/maven/lib/guice.jar) to method 
 java.lang.ClassLoader.defineClass(java.lang.String,byte[],int,int,java.security.ProtectionDomain)
  

 WARNING: Please consider reporting this to the maintainers of 
 com.google.inject.internal.cglib.core.$ReflectUtils$1 
 WARNING: Use --illegal-access=warn to enable warnings of further 
 illegal reflective access operations 
 WARNING: All illegal access operations will be denied in a future 
 release 
 [INFO] Scanning for projects... 
 [WARNING] 
 [WARNING] Some problems were encountered while building the effective 
 model for io.osv:runjava-common:jar:1.0-SNAPSHOT 
 [WARNING] 'version' contains an expression but should be a constant. @ 
 io.osv:java-parent:${version}, 
 /home/netto/Desktop/osv/osv-clean/modules/java-base/pom.xml, line 13, 
 column 14 
 [WARNING] 
 [WARNING] Some problems were encountered while building the effective 
 model for io.osv:runjava-isolated:jar:1.0-SNAPSHOT 
 [WARNING] 'version' contains an expression but should be a constant. @ 
 io.osv:java-parent:${version}, 
 

Re: scripts/build check failing

2018-04-23 Thread Nadav Har'El
On Mon, Apr 23, 2018 at 7:36 PM, Nadav Har'El  wrote:

>
> On Thu, Apr 5, 2018 at 12:40 AM, Waldek Kozaczuk 
> wrote:
>
>> Which version of Java is being used by build process? I have a feeling it
>> is higher than java 8.
>>
>
> If require Java 7 or 8 for the build, I wonder if we shouldn't make an
> effort to find the appropriate
> executable on the system - or maybe just giving the "-source 8" (or 7)
> option to the default one would be
> enough. Or, if for some reason we can't do that, maybe just check it and
> warn about this problem
> instead of letting the user deal with crypting compilation errors?
>

Oh, and another possibility on how  to fix this: Maybe we can just say that
the test image requires
the "java-non-isolated". Would this be enough to fix the compilation errors
on Java 9?


>
>>
>> On Wednesday, April 4, 2018 at 3:57:11 PM UTC-4, Geraldo Netto wrote:
>>>
>>> Dear Friends,
>>>
>>> While, applying the changes for the crypt functions, I noticed the
>>> runjava-isolated module is failing to build
>>> I have tried it with a clean git clone and the issue persists
>>>
>>> Could you try?
>>> Just to make sure, I'm not missing some detail (I use linux mint 18.3)
>>>
>>> netto@besta01 ~/Desktop/osv/osv-clean $ scripts/build check
>>> Building into build/release.x64
>>>   GEN gen/include/osv/version.h
>>> No such image configuration: tests. Assuming list of modules.
>>> Importing /home/netto/Desktop/osv/osv-clean/modules/tests/module.py
>>> Importing /home/netto/Desktop/osv/osv-clean/modules/java-tests/module.py
>>>
>>> Importing /home/netto/Desktop/osv/osv-clean/modules/java/module.py
>>> Importing /home/netto/Desktop/osv/osv-clean/modules/java-isolated/module.py
>>>
>>> Importing /home/netto/Desktop/osv/osv-clean/modules/java-base/module.py
>>> Importing /home/netto/Desktop/osv/osv-clean/apps/fonts/module.py
>>> No module.py in /home/netto/Desktop/osv/osv-clean/modules/ca-certificates
>>>
>>> No module.py in /home/netto/Desktop/osv/osv-clean/modules/libz
>>> Importing /home/netto/Desktop/osv/osv-clean/modules/openjdk7/module.py
>>> Modules:
>>>   fonts
>>>   ca-certificates
>>>   libz
>>>   java-base
>>>   java-isolated
>>>   openjdk7
>>>   java
>>>   java-tests
>>>   tests.*
>>> mkdir -p build/etc/pki/ca-trust/extracted/openssl
>>> mkdir -p build/etc/pki/ca-trust/extracted/pem
>>> mkdir -p build/etc/pki/ca-trust/extracted/java
>>> p11-kit extract --format=openssl-bundle --filter=certificates
>>> --overwrite build/etc/pki/ca-trust/extracted/openssl/ca-bundle.trust.crt
>>>
>>> p11-kit extract --format=pem-bundle --filter=ca-anchors --overwrite
>>> --purpose server-auth
>>> build/etc/pki/ca-trust/extracted/pem/tls-ca-bundle.pem
>>> p11-kit extract --format=pem-bundle --filter=ca-anchors --overwrite
>>> --purpose email
>>> build/etc/pki/ca-trust/extracted/pem/email-ca-bundle.pem
>>> p11-kit extract --format=pem-bundle --filter=ca-anchors --overwrite
>>> --purpose code-signing
>>> build/etc/pki/ca-trust/extracted/pem/objsign-ca-bundle.pem
>>> p11-kit extract --format=java-cacerts --filter=ca-anchors --overwrite
>>> --purpose server-auth build/etc/pki/ca-trust/extracted/java/cacerts
>>>   MKDIRS
>>>   MKDIRS
>>> cd /home/netto/Desktop/osv/osv-clean/modules/java-base && mvn
>>> --projects :runjava-common,:runjava-isolated  package -DskipTests=true
>>> WARNING: An illegal reflective access operation has occurred
>>> WARNING: Illegal reflective access by
>>> com.google.inject.internal.cglib.core.$ReflectUtils$1
>>> (file:/usr/share/maven/lib/guice.jar) to method
>>> java.lang.ClassLoader.defineClass(java.lang.String,byte[],in
>>> t,int,java.security.ProtectionDomain)
>>> WARNING: Please consider reporting this to the maintainers of
>>> com.google.inject.internal.cglib.core.$ReflectUtils$1
>>> WARNING: Use --illegal-access=warn to enable warnings of further
>>> illegal reflective access operations
>>> WARNING: All illegal access operations will be denied in a future
>>> release
>>> [INFO] Scanning for projects...
>>> [WARNING]
>>> [WARNING] Some problems were encountered while building the effective
>>> model for io.osv:runjava-common:jar:1.0-SNAPSHOT
>>> [WARNING] 'version' contains an expression but should be a constant. @
>>> io.osv:java-parent:${version},
>>> /home/netto/Desktop/osv/osv-clean/modules/java-base/pom.xml, line 13,
>>> column 14
>>> [WARNING]
>>> [WARNING] Some problems were encountered while building the effective
>>> model for io.osv:runjava-isolated:jar:1.0-SNAPSHOT
>>> [WARNING] 'version' contains an expression but should be a constant. @
>>> io.osv:java-parent:${version},
>>> /home/netto/Desktop/osv/osv-clean/modules/java-base/pom.xml, line 13,
>>> column 14
>>> [WARNING]
>>> [WARNING] Some problems were encountered while building the effective
>>> model for io.osv:runjava-non-isolated:jar:1.0-SNAPSHOT
>>> [WARNING] 'version' contains an expression but should be a constant. @
>>> io.osv:java-parent:${version},
>>> 

Re: scripts/build check failing

2018-04-23 Thread Nadav Har'El
On Thu, Apr 5, 2018 at 12:40 AM, Waldek Kozaczuk 
wrote:

> Which version of Java is being used by build process? I have a feeling it
> is higher than java 8.
>

If require Java 7 or 8 for the build, I wonder if we shouldn't make an
effort to find the appropriate
executable on the system - or maybe just giving the "-source 8" (or 7)
option to the default one would be
enough. Or, if for some reason we can't do that, maybe just check it and
warn about this problem
instead of letting the user deal with crypting compilation errors?


>
> On Wednesday, April 4, 2018 at 3:57:11 PM UTC-4, Geraldo Netto wrote:
>>
>> Dear Friends,
>>
>> While, applying the changes for the crypt functions, I noticed the
>> runjava-isolated module is failing to build
>> I have tried it with a clean git clone and the issue persists
>>
>> Could you try?
>> Just to make sure, I'm not missing some detail (I use linux mint 18.3)
>>
>> netto@besta01 ~/Desktop/osv/osv-clean $ scripts/build check
>> Building into build/release.x64
>>   GEN gen/include/osv/version.h
>> No such image configuration: tests. Assuming list of modules.
>> Importing /home/netto/Desktop/osv/osv-clean/modules/tests/module.py
>> Importing /home/netto/Desktop/osv/osv-clean/modules/java-tests/module.py
>> Importing /home/netto/Desktop/osv/osv-clean/modules/java/module.py
>> Importing /home/netto/Desktop/osv/osv-clean/modules/java-isolated/module.py
>>
>> Importing /home/netto/Desktop/osv/osv-clean/modules/java-base/module.py
>> Importing /home/netto/Desktop/osv/osv-clean/apps/fonts/module.py
>> No module.py in /home/netto/Desktop/osv/osv-clean/modules/ca-certificates
>>
>> No module.py in /home/netto/Desktop/osv/osv-clean/modules/libz
>> Importing /home/netto/Desktop/osv/osv-clean/modules/openjdk7/module.py
>> Modules:
>>   fonts
>>   ca-certificates
>>   libz
>>   java-base
>>   java-isolated
>>   openjdk7
>>   java
>>   java-tests
>>   tests.*
>> mkdir -p build/etc/pki/ca-trust/extracted/openssl
>> mkdir -p build/etc/pki/ca-trust/extracted/pem
>> mkdir -p build/etc/pki/ca-trust/extracted/java
>> p11-kit extract --format=openssl-bundle --filter=certificates
>> --overwrite build/etc/pki/ca-trust/extracted/openssl/ca-bundle.trust.crt
>> p11-kit extract --format=pem-bundle --filter=ca-anchors --overwrite
>> --purpose server-auth
>> build/etc/pki/ca-trust/extracted/pem/tls-ca-bundle.pem
>> p11-kit extract --format=pem-bundle --filter=ca-anchors --overwrite
>> --purpose email
>> build/etc/pki/ca-trust/extracted/pem/email-ca-bundle.pem
>> p11-kit extract --format=pem-bundle --filter=ca-anchors --overwrite
>> --purpose code-signing
>> build/etc/pki/ca-trust/extracted/pem/objsign-ca-bundle.pem
>> p11-kit extract --format=java-cacerts --filter=ca-anchors --overwrite
>> --purpose server-auth build/etc/pki/ca-trust/extracted/java/cacerts
>>   MKDIRS
>>   MKDIRS
>> cd /home/netto/Desktop/osv/osv-clean/modules/java-base && mvn
>> --projects :runjava-common,:runjava-isolated  package -DskipTests=true
>> WARNING: An illegal reflective access operation has occurred
>> WARNING: Illegal reflective access by
>> com.google.inject.internal.cglib.core.$ReflectUtils$1
>> (file:/usr/share/maven/lib/guice.jar) to method
>> java.lang.ClassLoader.defineClass(java.lang.String,byte[],
>> int,int,java.security.ProtectionDomain)
>> WARNING: Please consider reporting this to the maintainers of
>> com.google.inject.internal.cglib.core.$ReflectUtils$1
>> WARNING: Use --illegal-access=warn to enable warnings of further
>> illegal reflective access operations
>> WARNING: All illegal access operations will be denied in a future release
>> [INFO] Scanning for projects...
>> [WARNING]
>> [WARNING] Some problems were encountered while building the effective
>> model for io.osv:runjava-common:jar:1.0-SNAPSHOT
>> [WARNING] 'version' contains an expression but should be a constant. @
>> io.osv:java-parent:${version},
>> /home/netto/Desktop/osv/osv-clean/modules/java-base/pom.xml, line 13,
>> column 14
>> [WARNING]
>> [WARNING] Some problems were encountered while building the effective
>> model for io.osv:runjava-isolated:jar:1.0-SNAPSHOT
>> [WARNING] 'version' contains an expression but should be a constant. @
>> io.osv:java-parent:${version},
>> /home/netto/Desktop/osv/osv-clean/modules/java-base/pom.xml, line 13,
>> column 14
>> [WARNING]
>> [WARNING] Some problems were encountered while building the effective
>> model for io.osv:runjava-non-isolated:jar:1.0-SNAPSHOT
>> [WARNING] 'version' contains an expression but should be a constant. @
>> io.osv:java-parent:${version},
>> /home/netto/Desktop/osv/osv-clean/modules/java-base/pom.xml, line 13,
>> column 14
>> [WARNING]
>> [WARNING] Some problems were encountered while building the effective
>> model for io.osv:java-parent:pom:1.0-SNAPSHOT
>> [WARNING] 'version' contains an expression but should be a constant. @
>> io.osv:java-parent:${version},
>> /home/netto/Desktop/osv/osv-clean/modules/java-base/pom.xml, line 13,
>> column 14
>> 

Re: scripts/build check failing

2018-04-04 Thread Geraldo Netto
Hello Waldek,

Based on your suggestion, I have updated my /etc/alternatives to
default java from Oracle JDK 9 to OpenJDK 8:

netto@besta01 ~/Desktop/osv/osv-crypt-final $ java -version
openjdk version "1.8.0_162"
OpenJDK Runtime Environment (build 1.8.0_162-8u162-b12-0ubuntu0.16.04.2-b12)
OpenJDK 64-Bit Server VM (build 25.162-b12, mixed mode)


It's indeed a problem with different versions of JDK [1]:
Removed java.* APIs
The Java team is committed to backward compatibility.
If an application runs in JDK 8, then it will run on JDK 9 as long as
it uses APIs that are supported and intended for external use.
These include: • JCP standard, java.*, javax.* • JDK-specific APIs,
some com.sun.*, some jdk.*
Supported APIs can be removed from the JDK, but only with notice.
Find out if your code is using deprecated APIs by running the static
analysis tool jdeprscan. java.*
APIs that have been removed in JDK 9 include the previously deprecated
methods from the java.util.logging.LogManager and
java.util.jar.Pack200 packages:
java.util.logging.LogManager.addPropertyChangeListener
java.util.logging.LogManager.removePropertyChangeListener
java.util.jar.Pack200.Packer.addPropertyChangeListener
java.util.jar.Pack200.Packer.removePropertyChangeListener
java.util.jar.Pack200.Unpacker.addPropertyChangeListener
java.util.jar.Pack200.Unpacker.removePropertyChangeListener


I have removed the files inside
/modules/java-base/runjava-isolated/src/main/java/io/osv/jul/
It partially works (have to update the java tests)


netto@besta01 ~/Desktop/osv/osv-crypt-final $ make clean && make check
...
cd /home/netto/Desktop/osv/osv-crypt-final/modules/java-base && mvn
--projects :runjava-common,:runjava-isolated  package -DskipTests=true
WARNING: An illegal reflective access operation has occurred
WARNING: Illegal reflective access by
com.google.inject.internal.cglib.core.$ReflectUtils$1
(file:/usr/share/maven/lib/guice.jar) to method
java.lang.ClassLoader.defineClass(java.lang.String,byte[],int,int,java.security.ProtectionDomain)
WARNING: Please consider reporting this to the maintainers of
com.google.inject.internal.cglib.core.$ReflectUtils$1
WARNING: Use --illegal-access=warn to enable warnings of further
illegal reflective access operations
WARNING: All illegal access operations will be denied in a future release
[INFO] Scanning for projects...
[WARNING]
[WARNING] Some problems were encountered while building the effective
model for io.osv:runjava-common:jar:1.0-SNAPSHOT
[WARNING] 'version' contains an expression but should be a constant. @
io.osv:java-parent:${version},
/home/netto/Desktop/osv/osv-crypt-final/modules/java-base/pom.xml,
line 13, column 14
[WARNING]
[WARNING] Some problems were encountered while building the effective
model for io.osv:runjava-isolated:jar:1.0-SNAPSHOT
[WARNING] 'version' contains an expression but should be a constant. @
io.osv:java-parent:${version},
/home/netto/Desktop/osv/osv-crypt-final/modules/java-base/pom.xml,
line 13, column 14
[WARNING]
[WARNING] Some problems were encountered while building the effective
model for io.osv:runjava-non-isolated:jar:1.0-SNAPSHOT
[WARNING] 'version' contains an expression but should be a constant. @
io.osv:java-parent:${version},
/home/netto/Desktop/osv/osv-crypt-final/modules/java-base/pom.xml,
line 13, column 14
[WARNING]
[WARNING] Some problems were encountered while building the effective
model for io.osv:java-parent:pom:1.0-SNAPSHOT
[WARNING] 'version' contains an expression but should be a constant. @
io.osv:java-parent:${version},
/home/netto/Desktop/osv/osv-crypt-final/modules/java-base/pom.xml,
line 13, column 14
[WARNING]
[WARNING] It is highly recommended to fix these problems because they
threaten the stability of your build.
[WARNING]
[WARNING] For this reason, future Maven versions might no longer
support building such malformed projects.
[WARNING]
[INFO] 
[INFO] Reactor Build Order:
[INFO]
[INFO] runjava-common
[INFO] runjava-isolated
[INFO]
[INFO] 
[INFO] Building runjava-common 1.0-SNAPSHOT
[INFO] 
[INFO]
[INFO] --- maven-resources-plugin:2.6:resources (default-resources) @
runjava-common ---
[WARNING] Using platform encoding (UTF-8 actually) to copy filtered
resources, i.e. build is platform dependent!
[INFO] skip non existing resourceDirectory
/home/netto/Desktop/osv/osv-crypt-final/modules/java-base/runjava-common/src/main/resources
[INFO]
[INFO] --- maven-compiler-plugin:3.1:compile (default-compile) @
runjava-common ---
[INFO] Nothing to compile - all classes are up to date
[INFO]
[INFO] --- maven-resources-plugin:2.6:testResources
(default-testResources) @ runjava-common ---
[WARNING] Using platform encoding (UTF-8 actually) to copy filtered
resources, i.e. build is platform dependent!
[INFO] skip non existing resourceDirectory

Re: scripts/build check failing

2018-04-04 Thread Waldek Kozaczuk
Which version of Java is being used by build process? I have a feeling it 
is higher than java 8.

On Wednesday, April 4, 2018 at 3:57:11 PM UTC-4, Geraldo Netto wrote:
>
> Dear Friends, 
>
> While, applying the changes for the crypt functions, I noticed the 
> runjava-isolated module is failing to build 
> I have tried it with a clean git clone and the issue persists 
>
> Could you try? 
> Just to make sure, I'm not missing some detail (I use linux mint 18.3) 
>
> netto@besta01 ~/Desktop/osv/osv-clean $ scripts/build check 
> Building into build/release.x64 
>   GEN gen/include/osv/version.h 
> No such image configuration: tests. Assuming list of modules. 
> Importing /home/netto/Desktop/osv/osv-clean/modules/tests/module.py 
> Importing /home/netto/Desktop/osv/osv-clean/modules/java-tests/module.py 
> Importing /home/netto/Desktop/osv/osv-clean/modules/java/module.py 
> Importing 
> /home/netto/Desktop/osv/osv-clean/modules/java-isolated/module.py 
> Importing /home/netto/Desktop/osv/osv-clean/modules/java-base/module.py 
> Importing /home/netto/Desktop/osv/osv-clean/apps/fonts/module.py 
> No module.py in /home/netto/Desktop/osv/osv-clean/modules/ca-certificates 
> No module.py in /home/netto/Desktop/osv/osv-clean/modules/libz 
> Importing /home/netto/Desktop/osv/osv-clean/modules/openjdk7/module.py 
> Modules: 
>   fonts 
>   ca-certificates 
>   libz 
>   java-base 
>   java-isolated 
>   openjdk7 
>   java 
>   java-tests 
>   tests.* 
> mkdir -p build/etc/pki/ca-trust/extracted/openssl 
> mkdir -p build/etc/pki/ca-trust/extracted/pem 
> mkdir -p build/etc/pki/ca-trust/extracted/java 
> p11-kit extract --format=openssl-bundle --filter=certificates 
> --overwrite build/etc/pki/ca-trust/extracted/openssl/ca-bundle.trust.crt 
> p11-kit extract --format=pem-bundle --filter=ca-anchors --overwrite 
> --purpose server-auth 
> build/etc/pki/ca-trust/extracted/pem/tls-ca-bundle.pem 
> p11-kit extract --format=pem-bundle --filter=ca-anchors --overwrite 
> --purpose email 
> build/etc/pki/ca-trust/extracted/pem/email-ca-bundle.pem 
> p11-kit extract --format=pem-bundle --filter=ca-anchors --overwrite 
> --purpose code-signing 
> build/etc/pki/ca-trust/extracted/pem/objsign-ca-bundle.pem 
> p11-kit extract --format=java-cacerts --filter=ca-anchors --overwrite 
> --purpose server-auth build/etc/pki/ca-trust/extracted/java/cacerts 
>   MKDIRS 
>   MKDIRS 
> cd /home/netto/Desktop/osv/osv-clean/modules/java-base && mvn 
> --projects :runjava-common,:runjava-isolated  package -DskipTests=true 
> WARNING: An illegal reflective access operation has occurred 
> WARNING: Illegal reflective access by 
> com.google.inject.internal.cglib.core.$ReflectUtils$1 
> (file:/usr/share/maven/lib/guice.jar) to method 
> java.lang.ClassLoader.defineClass(java.lang.String,byte[],int,int,java.security.ProtectionDomain)
>  
>
> WARNING: Please consider reporting this to the maintainers of 
> com.google.inject.internal.cglib.core.$ReflectUtils$1 
> WARNING: Use --illegal-access=warn to enable warnings of further 
> illegal reflective access operations 
> WARNING: All illegal access operations will be denied in a future release 
> [INFO] Scanning for projects... 
> [WARNING] 
> [WARNING] Some problems were encountered while building the effective 
> model for io.osv:runjava-common:jar:1.0-SNAPSHOT 
> [WARNING] 'version' contains an expression but should be a constant. @ 
> io.osv:java-parent:${version}, 
> /home/netto/Desktop/osv/osv-clean/modules/java-base/pom.xml, line 13, 
> column 14 
> [WARNING] 
> [WARNING] Some problems were encountered while building the effective 
> model for io.osv:runjava-isolated:jar:1.0-SNAPSHOT 
> [WARNING] 'version' contains an expression but should be a constant. @ 
> io.osv:java-parent:${version}, 
> /home/netto/Desktop/osv/osv-clean/modules/java-base/pom.xml, line 13, 
> column 14 
> [WARNING] 
> [WARNING] Some problems were encountered while building the effective 
> model for io.osv:runjava-non-isolated:jar:1.0-SNAPSHOT 
> [WARNING] 'version' contains an expression but should be a constant. @ 
> io.osv:java-parent:${version}, 
> /home/netto/Desktop/osv/osv-clean/modules/java-base/pom.xml, line 13, 
> column 14 
> [WARNING] 
> [WARNING] Some problems were encountered while building the effective 
> model for io.osv:java-parent:pom:1.0-SNAPSHOT 
> [WARNING] 'version' contains an expression but should be a constant. @ 
> io.osv:java-parent:${version}, 
> /home/netto/Desktop/osv/osv-clean/modules/java-base/pom.xml, line 13, 
> column 14 
> [WARNING] 
> [WARNING] It is highly recommended to fix these problems because they 
> threaten the stability of your build. 
> [WARNING] 
> [WARNING] For this reason, future Maven versions might no longer 
> support building such malformed projects. 
> [WARNING] 
> [INFO] 
>  
> [INFO] Reactor Build Order: 
> [INFO] 
> [INFO] runjava-common 
> [INFO] runjava-isolated 
> [INFO] 
> [INFO] 
>